
// OPOS_PrinterDlg.h : header file
//

#pragma once
#include "posprinter1.h"
#include "afxwin.h"


// COPOS_PrinterDlg dialog
class COPOS_PrinterDlg : public CDialogEx
{
// Construction
public:
	COPOS_PrinterDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_OPOS_PRINTER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CPosprinter1 m_opos;
	CListBox m_log;
	afx_msg void PrintTicket();
	afx_msg void PrintReceipt();
	afx_msg void ReportStatus();
	afx_msg void ReportCapability();
	afx_msg void OnClose();
//	afx_msg void AutoStatus();
	afx_msg void CutPaper();
	afx_msg void PrintBitmap();
	afx_msg void PrintBarcode();
	afx_msg void OnBnClickedButton9();
	CEdit inputtextbox;
	afx_msg void OnBnClickedButton5();
	DECLARE_EVENTSINK_MAP()
	void StatusUpdateEventPosprinter1(long Data);
	void ErrorEventPosprinter1(long ResultCode, long ResultCodeExtended, long ErrorLocus, long* pErrorResponse);
	void OutputCompleteEventPosprinter1(long OutputID);
	void DirectIOEventPosprinter1(long EventNumber, long* pData, BSTR* pString);
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton12();
	afx_msg void OnBnClickedButton13();
	afx_msg void OnBnClickedButton14();
	afx_msg void OnBnClickedButton15();
};
